﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SimpleComplex
{
    struct Complex : IDoubleCompatible
    {
        public double R, I;

        public Complex(double r, double i)
        {
            R = r;
            I = i;
        }

        public void FromDouble(double d)
        {
            R = d;
            I = 0;
        }

        public double ToDouble()
        {
            return R;
        }

        public override string ToString()
        {
            return String.Format("{0}{2}{1}i", R, I, I >= 0 ? "+" : "-");
        }
    }
}
