﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace University
{
    class Course
    {
        private List<Student> _Students;

        public String Name { get; private set; }
        public Teacher Teacher { get; private set; }

        public Int32 StudentCount
        {
            get { return _Students.Count; }
        }

        public Course(Teacher teacher, String name)
        {
            Name = name;
            Teacher = teacher;
            _Students = new List<Student>();
        }

        public Boolean AddStudent(Student student)
        {
            if (!_Students.Contains(student))
            {
                _Students.Add(student);
                return true;
            }
            else
                return false;
        }

        public List<Student> GetStudentsList(Teacher teacher)
        {
            if (teacher == Teacher)
                return _Students;
            else
                return null;
        }

        public List<Student> GetStudentsList(Student student)
        {
            if (_Students.Contains(student))
                return new List<Student>(_Students);
            else
                return null;
        }
    }
}
