﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace University
{
    class Student
    {
        private List<Course> _Courses;

        public String Name { get; private set; }
        public String UniversityCode { get; private set; }

        public Student(String name)
        {
            Name = name;
            _Courses = new List<Course>();

            String[] nameParts = Name.Split(new char[] { ' ' });
            UniversityCode = nameParts[1].ToLower()[0] + nameParts[0].ToLower();
        }

        public void SignForCourse(Course course)
        {
            if (course.AddStudent(this))
                _Courses.Add(course);
        }
    }
}
