﻿using System;

namespace RectangleWithPoints
{
    struct Point
    {

        public Int32 X;
        public Int32 Y;

        public Point(Int32 x, Int32 y)
        {
            X = x;
            Y = y;
        }

        public void Move(Vector v)
        {
            X += v.X;
            Y += v.Y;
        }

        public Double Distance
        {
            get { return Math.Sqrt(X * X + Y * Y); }
        }
    }
}
