﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace University
{
    class Program
    {
        static void Main(string[] args)
        {
            Student s1 = new Student("Nagy Géza");
            Student s2 = new Student("Kiss Ferenc");
            Student s3 = new Student("Széles Attila");
            Console.WriteLine(s1.UniversityCode);
            Console.WriteLine(s2.UniversityCode);
            Console.WriteLine(s3.UniversityCode);

            Teacher t1 = new Teacher("Gipsz Jakab");
            Course c1 = t1.CreateCourse(".NET Programming");
            Course c2 = t1.CreateCourse("Beer drinking");

            s1.SignForCourse(c1);
            s2.SignForCourse(c1);

            s1.SignForCourse(c2);
            s2.SignForCourse(c2);
            s3.SignForCourse(c2);

            Console.WriteLine("{0} kurzusai:", t1.Name);
            foreach(String courseName in t1.CourseNames)
                Console.WriteLine("\t{0}", courseName);

            Console.ReadKey();
        }
    }
}
